package com.tofly.yswzMaterials.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.yswzMaterials.entity.StocksTakeawayDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author bubble
 */
@Data
public class TakeawayStockDetailVo extends StocksTakeawayDetail {

  /** 设备Id */
  @ApiModelProperty(value = "设备Id")
  private Long deviceId;

  /** 当前库存 */
  @ApiModelProperty(value = "当前库存", hidden = true)
  private Double stockNum;

  /** 入库数量 */
  @ApiModelProperty(value = "入库总数量", hidden = true)
  private Double instockTotalNum;

  /** 出库数量 */
  @ApiModelProperty(value = "出库总数量", hidden = true)
  private Double outstockTotalNum;
  /** 使用数量 */
  @ApiModelProperty(value = "新购入库总数量", hidden = true)
  private Double inStockNewTotalNum;

  /** 转移总数量 */
  @ApiModelProperty(value = "回收退库总数量", hidden = true)
  private Double returnStockTotalNum;

  /** 处置总数量 */
  @ApiModelProperty(value = "增补出库总数量", hidden = true)
  private Double supplementStockTotalNum;

  @ApiModelProperty(value = "外卖出库总数量", hidden = true)
  private Double takeawayTotalNum;

  /** 仓库id */
  @ApiModelProperty(value = "仓库id", hidden = true)
  private Long storeId;

  /** 仓库名称 */
  @ApiModelProperty(value = "仓库名称", hidden = true)
  private String storeName;


  /** 设备唯一编码 */
  @ApiModelProperty(value = "设备唯一编码", hidden = true)
  private String deviceNo;
  /** 设备名称 */
  @ApiModelProperty(value = "设备名称")
  private String deviceName;
  /** 设备规格型号 */
  @ApiModelProperty(value = "设备规格型号")
  private String deviceSpecsModel;

  /** 设备单位名称 */
  @ApiModelProperty(value = "设备单位名称")
  private String deviceUnitName;

  @ApiModelProperty("单位组")
  private String unitGroup;

}
